Subject: Re: linux-next: build failure after merge of the userns tree

From: [email-masked] (Eric W. Biederman)
Date: Thu, 20 Jul 2017 07:17:03 -0500

Stephen Rothwell <[email-masked]> writes:

> Hi Eric,
>
> After merging the userns tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
> kernel/pid_namespace.c: In function 'create_pid_namespace':
> kernel/pid_namespace.c:105:7: error: too many arguments to function 'in_userns'
>   if (!in_userns(parent_pid_ns->user_ns, user_ns))
>        ^
> In file included from kernel/pid_namespace.c:13:0:
> include/linux/user_namespace.h:148:20: note: declared here
>  static inline bool in_userns(const struct user_namespace *target_ns)
>                     ^
>
> Caused by commit
>
>   1f1b28d80cd9 ("userns,pidns: Verify the userns for new pid namespaces")
>
> I have used the userns tree from next-20170719 for today.

*scratches my head*

Yes.  That isn't a powerpc specific bug.

This has been in my for-testing branch forever.  I thought this had
received plenty of build testing but apparently not.

I will get this sorted out.

Thank you very much.

Eric